### Enumeration

# Atspi ModifierType

#### Declaration

    enum Atspi.ModifierType

#### Description

No description available.

#### Members

`ATSPI_MODIFIER_SHIFT`

  The left or right ‘Shift’ key.

  - Value: `0`
  - Available since: 2.0
`ATSPI_MODIFIER_SHIFTLOCK`

  The ShiftLock or CapsLock key.

  - Value: `1`
  - Available since: 2.0
`ATSPI_MODIFIER_CONTROL`

  ‘Control’/’Ctrl’.

  - Value: `2`
  - Available since: 2.0
`ATSPI_MODIFIER_ALT`

  The Alt key (as opposed to AltGr).

  - Value: `3`
  - Available since: 2.0
`ATSPI_MODIFIER_META`

  Depending on the platform, this may map to ‘Window’, ‘Function’, ‘Meta’, ‘Menu’, or ‘NumLock’. Such ‘Meta keys’ will map to one of META, META2, META3. On X Windows platforms these META values map to the modifier masks Mod1Mask, Mod2Mask, Mod3Mask, e.g. an event having `ATSPI_MODIFIER_META2` means that the ‘Mod2Mask’ bit is set in the corresponding XEvent.

  - Value: `4`
  - Available since: 2.0
`ATSPI_MODIFIER_META2`

  See `ATSPI_MODIFIER_META`.

  - Value: `5`
  - Available since: 2.0
`ATSPI_MODIFIER_META3`

  See `ATSPI_MODIFIER_META`.

  - Value: `6`
  - Available since: 2.0
`ATSPI_MODIFIER_NUMLOCK`

  A symbolic meta key name that is mapped by AT-SPI to the appropriate META value, for the convenience of the client.

  - Value: `14`
  - Available since: 2.0